const express = require('express');
const bodyParser = require('body-parser');
const cors = require('cors');
const router = require('./router/index');
const dotenv = require('dotenv').config();
const { PORT } = process.env;

const app = express();

app.use(cors());
// parse application/x-www-form-urlencoded
app.use(bodyParser.urlencoded({ extended: false }));

// parse application/json
app.use(bodyParser.json());


app.get('/', (req, res) => {
    res.send('Base URL!');
})
app.get('/test', (req, res) => {
    res.send('Bull Horn!');
})

app.use('/bullhorn', router);

app.listen(PORT, () => {
    console.log(`Example app listening at http://localhost:${PORT}`);
})